edu.northwestern.at.morphadorner.corpuslinguistics.languagerecognizer

## Class DefaultLanguageRecognizer

- java.lang.Object
- - edu.northwestern.at.utils.IsCloseableObject
  - - edu.northwestern.at.morphadorner.corpuslinguistics.languagerecognizer.AbstractLanguageRecognizer
    - - edu.northwestern.at.morphadorner.corpuslinguistics.languagerecognizer.CybozuLabsLanguageRecognizer
      - - edu.northwestern.at.morphadorner.corpuslinguistics.languagerecognizer.DefaultLanguageRecognizer

- All Implemented Interfaces:
    LanguageRecognizer, UsesLogger

      public class DefaultLanguageRecognizer
      extends CybozuLabsLanguageRecognizer
      implements LanguageRecognizer

  DefaultLanguageRecognizer determines language in which a text is written.

- - ### Field Summary

    - ### Fields inherited from class edu.northwestern.at.morphadorner.corpuslinguistics.languagerecognizer.AbstractLanguageRecognizer

      `logger`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DefaultLanguageRecognizer()` Create default language recognizer.
    `DefaultLanguageRecognizer(java.util.List<java.lang.String> languages)` Create default language recognizer with list of languages to recognize.

  - ### Method Summary

    - ### Methods inherited from class edu.northwestern.at.morphadorner.corpuslinguistics.languagerecognizer.CybozuLabsLanguageRecognizer

      `getAvailableLanguageProfileNames, getDefaultLanguageProfileNames, recognizeLanguage`

    - ### Methods inherited from class edu.northwestern.at.morphadorner.corpuslinguistics.languagerecognizer.AbstractLanguageRecognizer

      `close, getLogger, setLogger`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface edu.northwestern.at.morphadorner.corpuslinguistics.languagerecognizer.LanguageRecognizer

      `recognizeLanguage`

- - ### Constructor Detail

    - #### DefaultLanguageRecognizer

          public DefaultLanguageRecognizer()
                                    throws LangDetectException

      Create default language recognizer.
      Throws:
        `LangDetectException`

    - #### DefaultLanguageRecognizer

          public DefaultLanguageRecognizer(java.util.List<java.lang.String> languages)
                                    throws LangDetectException

      Create default language recognizer with list of languages to recognize.
      Parameters:
        `languages` - List of names of languages to recognize.

        The list of languages references the profile names.

      Throws:
        `LangDetectException`